-- --------------------------------------------------------------------------------------
-- Source data: https://www.investing.com/currencies/aed-sar-historical-data
-- --------------------------------------------------------------------------------------

USE dwh;


INSERT INTO dwh.dim_exchange_rate(date_key, exchange_rate)
VALUES
    (20211231, 1.0219),
    (20211230, 1.0219),
    (20211229, 1.0216),
    (20211228, 1.0223),
    (20211227, 1.0222),
    (20211224, 1.0222),
    (20211223, 1.0221),
    (20211222, 1.0219),
    (20211221, 1.0219),
    (20211220, 1.0218),
    (20211217, 1.0215),
    (20211216, 1.0215),
    (20211215, 1.0212),
    (20211214, 1.0212),
    (20211213, 1.0212),
    (20211210, 1.0211),
    (20211209, 1.0212),
    (20211208, 1.0211),
    (20211207, 1.0212),
    (20211206, 1.0212),
    (20211203, 1.0212),
    (20211202, 1.0212),
    (20211201, 1.0212),
    (20211130, 1.0212),
    (20211129, 1.0212),
    (20211126, 1.0212),
    (20211125, 1.021),
    (20211124, 1.021),
    (20211123, 1.0212),
    (20211122, 1.0211),
    (20211119, 1.0211),
    (20211118, 1.0211),
    (20211117, 1.021),
    (20211116, 1.021),
    (20211115, 1.021),
    (20211112, 1.0209),
    (20211111, 1.0209),
    (20211110, 1.021),
    (20211109, 1.0209),
    (20211108, 1.0209),
    (20211105, 1.0209),
    (20211104, 1.021),
    (20211103, 1.0211),
    (20211102, 1.0211),
    (20211101, 1.021),
    (20211029, 1.021),
    (20211028, 1.0211),
    (20211027, 1.021),
    (20211026, 1.021),
    (20211025, 1.021),
    (20211022, 1.021),
    (20211021, 1.021),
    (20211020, 1.021),
    (20211019, 1.021),
    (20211018, 1.021),
    (20211015, 1.021),
    (20211014, 1.021),
    (20211013, 1.021),
    (20211012, 1.021),
    (20211011, 1.021),
    (20211008, 1.0209),
    (20211007, 1.0209),
    (20211006, 1.0209),
    (20211005, 1.0208),
    (20211004, 1.021),
    (20211001, 1.0209),
    (20210930, 1.021),
    (20210929, 1.021),
    (20210928, 1.0211),
    (20210927, 1.0211),
    (20210924, 1.021),
    (20210923, 1.021),
    (20210922, 1.021),
    (20210921, 1.0209),
    (20210920, 1.0208),
    (20210917, 1.0206),
    (20210916, 1.0207),
    (20210915, 1.0209),
    (20210914, 1.021),
    (20210913, 1.021),
    (20210910, 1.021),
    (20210909, 1.0209),
    (20210908, 1.0209),
    (20210907, 1.0209),
    (20210906, 1.0209),
    (20210903, 1.0208),
    (20210902, 1.0209),
    (20210901, 1.0209),
    (20210831, 1.021),
    (20210830, 1.021),
    (20210827, 1.0209),
    (20210826, 1.0209),
    (20210825, 1.0209),
    (20210824, 1.0208),
    (20210823, 1.0209),
    (20210820, 1.0208),
    (20210819, 1.0209),
    (20210818, 1.0209),
    (20210817, 1.0209),
    (20210816, 1.0209),
    (20210813, 1.0208),
    (20210812, 1.0209),
    (20210811, 1.0209),
    (20210810, 1.0209),
    (20210809, 1.021),
    (20210806, 1.0209),
    (20210805, 1.0208),
    (20210804, 1.0207),
    (20210803, 1.0207),
    (20210802, 1.0209),
    (20210730, 1.0208),
    (20210729, 1.0209),
    (20210728, 1.0209),
    (20210727, 1.021),
    (20210726, 1.021),
    (20210723, 1.021),
    (20210722, 1.021),
    (20210721, 1.021),
    (20210720, 1.021),
    (20210719, 1.021),
    (20210716, 1.021),
    (20210715, 1.021),
    (20210714, 1.0209),
    (20210713, 1.0209),
    (20210712, 1.021),
    (20210709, 1.021),
    (20210708, 1.021),
    (20210707, 1.021),
    (20210706, 1.021),
    (20210705, 1.0207),
    (20210702, 1.0209),
    (20210701, 1.0209),
    (20210630, 1.021),
    (20210629, 1.0209),
    (20210628, 1.0209),
    (20210625, 1.0208),
    (20210624, 1.0209),
    (20210623, 1.0208),
    (20210622, 1.0208),
    (20210621, 1.0209),
    (20210618, 1.0208),
    (20210617, 1.0209),
    (20210616, 1.0209),
    (20210615, 1.0209),
    (20210614, 1.0208),
    (20210611, 1.0208),
    (20210610, 1.0208),
    (20210609, 1.0208),
    (20210608, 1.0209),
    (20210607, 1.0208),
    (20210604, 1.0208),
    (20210603, 1.0208),
    (20210602, 1.0208),
    (20210601, 1.0208),
    (20210531, 1.0209),
    (20210528, 1.0207),
    (20210527, 1.0209),
    (20210526, 1.021),
    (20210525, 1.0208),
    (20210524, 1.0208),
    (20210521, 1.0208),
    (20210520, 1.0209),
    (20210519, 1.0209),
    (20210518, 1.0209),
    (20210517, 1.0209),
    (20210514, 1.0209),
    (20210513, 1.0209),
    (20210512, 1.0209),
    (20210511, 1.0209),
    (20210510, 1.0209),
    (20210507, 1.0208),
    (20210506, 1.0208),
    (20210505, 1.0209),
    (20210504, 1.0208),
    (20210503, 1.0208),
    (20210430, 1.0208),
    (20210429, 1.0209),
    (20210428, 1.0208),
    (20210427, 1.0208),
    (20210426, 1.0209),
    (20210423, 1.0208),
    (20210422, 1.0208),
    (20210421, 1.0208),
    (20210420, 1.0209),
    (20210419, 1.0209),
    (20210416, 1.0209),
    (20210415, 1.0209),
    (20210414, 1.0209),
    (20210413, 1.0209),
    (20210412, 1.0209),
    (20210409, 1.0208),
    (20210408, 1.0209),
    (20210407, 1.0209),
    (20210406, 1.0209),
    (20210405, 1.0209),
    (20210402, 1.0208),
    (20210401, 1.0209),
    (20210331, 1.0209),
    (20210330, 1.0209),
    (20210329, 1.0209),
    (20210326, 1.0208),
    (20210325, 1.0209),
    (20210324, 1.0208),
    (20210323, 1.0209),
    (20210322, 1.021),
    (20210319, 1.0209),
    (20210318, 1.021),
    (20210317, 1.0209),
    (20210316, 1.0209),
    (20210315, 1.0209),
    (20210312, 1.0209),
    (20210311, 1.0209),
    (20210310, 1.021),
    (20210309, 1.0211),
    (20210308, 1.0213),
    (20210305, 1.0212),
    (20210304, 1.0211),
    (20210303, 1.0212),
    (20210302, 1.021),
    (20210301, 1.0209),
    (20210226, 1.0209),
    (20210225, 1.021),
    (20210224, 1.0209),
    (20210223, 1.0208),
    (20210222, 1.021),
    (20210219, 1.0209),
    (20210218, 1.0209),
    (20210217, 1.0209),
    (20210216, 1.0209),
    (20210215, 1.021),
    (20210212, 1.021),
    (20210211, 1.021),
    (20210210, 1.021),
    (20210209, 1.021),
    (20210208, 1.0211),
    (20210205, 1.0211),
    (20210204, 1.0211),
    (20210203, 1.0211),
    (20210202, 1.0211),
    (20210201, 1.021),
    (20210129, 1.0209),
    (20210128, 1.021),
    (20210127, 1.021),
    (20210126, 1.021),
    (20210125, 1.0212),
    (20210122, 1.021),
    (20210121, 1.0212),
    (20210120, 1.0211),
    (20210119, 1.0211),
    (20210118, 1.0212),
    (20210115, 1.0211),
    (20210114, 1.0212),
    (20210113, 1.0212),
    (20210112, 1.0213),
    (20210111, 1.0214),
    (20210108, 1.0212),
    (20210107, 1.0212),
    (20210106, 1.0212),
    (20210105, 1.0211),
    (20210104, 1.0212),
    (20210101, 1.0212),
    (20201231, 1.0212),
    (20201230, 1.0213),
    (20201229, 1.0215),
    (20201228, 1.0215),
    (20201225, 1.0216),
    (20201224, 1.0215),
    (20201223, 1.0214),
    (20201222, 1.0213),
    (20201221, 1.0214),
    (20201218, 1.0212),
    (20201217, 1.0212),
    (20201216, 1.0212),
    (20201215, 1.0212),
    (20201214, 1.0212),
    (20201211, 1.021),
    (20201210, 1.021),
    (20201209, 1.0212),
    (20201208, 1.0212),
    (20201207, 1.0211),
    (20201204, 1.021),
    (20201203, 1.021),
    (20201202, 1.021),
    (20201201, 1.021),
    (20201130, 1.0209),
    (20201127, 1.0209),
    (20201126, 1.0209),
    (20201125, 1.0208),
    (20201124, 1.0209),
    (20201123, 1.0208),
    (20201120, 1.0208),
    (20201119, 1.0208),
    (20201118, 1.0208),
    (20201117, 1.0209),
    (20201116, 1.021),
    (20201113, 1.0209),
    (20201112, 1.021),
    (20201111, 1.0209),
    (20201110, 1.0209),
    (20201109, 1.0209),
    (20201106, 1.0209),
    (20201105, 1.0209),
    (20201104, 1.0209),
    (20201103, 1.021),
    (20201102, 1.021),
    (20201030, 1.0209),
    (20201029, 1.021),
    (20201028, 1.0209),
    (20201027, 1.0209),
    (20201026, 1.0209),
    (20201023, 1.0209),
    (20201022, 1.0209),
    (20201021, 1.0209),
    (20201020, 1.021),
    (20201019, 1.0211),
    (20201016, 1.0211),
    (20201015, 1.021),
    (20201014, 1.0211),
    (20201013, 1.0212),
    (20201012, 1.0212),
    (20201009, 1.021),
    (20201008, 1.0211),
    (20201007, 1.0211),
    (20201006, 1.021),
    (20201005, 1.021),
    (20201002, 1.021),
    (20201001, 1.021),
    (20200930, 1.021),
    (20200929, 1.0211),
    (20200928, 1.0211),
    (20200925, 1.021),
    (20200924, 1.021),
    (20200923, 1.0209),
    (20200922, 1.021),
    (20200921, 1.0211),
    (20200918, 1.021),
    (20200917, 1.021),
    (20200916, 1.021),
    (20200915, 1.0212),
    (20200914, 1.0211),
    (20200911, 1.021),
    (20200910, 1.021),
    (20200909, 1.021),
    (20200908, 1.0209),
    (20200907, 1.0209),
    (20200904, 1.0209),
    (20200903, 1.0209),
    (20200902, 1.0209),
    (20200901, 1.021),
    (20200831, 1.0209),
    (20200828, 1.0208),
    (20200827, 1.0209),
    (20200826, 1.0208),
    (20200825, 1.0209),
    (20200824, 1.021),
    (20200821, 1.0209),
    (20200820, 1.021),
    (20200819, 1.0209),
    (20200818, 1.0211),
    (20200817, 1.021),
    (20200814, 1.0208),
    (20200813, 1.0208),
    (20200812, 1.0209),
    (20200811, 1.0209),
    (20200810, 1.0209),
    (20200807, 1.0205),
    (20200806, 1.0206),
    (20200805, 1.0209),
    (20200804, 1.0208),
    (20200803, 1.0211),
    (20200731, 1.0209),
    (20200730, 1.021),
    (20200729, 1.0211),
    (20200728, 1.021),
    (20200727, 1.0209),
    (20200724, 1.0209),
    (20200723, 1.021),
    (20200722, 1.0209),
    (20200721, 1.0208),
    (20200720, 1.021),
    (20200717, 1.0209),
    (20200716, 1.0209),
    (20200715, 1.021),
    (20200714, 1.0211),
    (20200713, 1.021),
    (20200710, 1.0209),
    (20200709, 1.021),
    (20200708, 1.0209),
    (20200707, 1.0212),
    (20200706, 1.0209),
    (20200703, 1.0209),
    (20200702, 1.021),
    (20200701, 1.0208),
    (20200630, 1.021),
    (20200629, 1.0209),
    (20200626, 1.0209),
    (20200625, 1.0211),
    (20200624, 1.0211),
    (20200623, 1.0213),
    (20200622, 1.0213),
    (20200619, 1.0208),
    (20200618, 1.021),
    (20200617, 1.021),
    (20200616, 1.0209),
    (20200615, 1.0212),
    (20200612, 1.0212),
    (20200611, 1.0213),
    (20200610, 1.0212),
    (20200609, 1.0212),
    (20200608, 1.0213),
    (20200605, 1.0216),
    (20200604, 1.022),
    (20200603, 1.0216),
    (20200602, 1.0215),
    (20200601, 1.0215),
    (20200529, 1.0225),
    (20200528, 1.0223),
    (20200527, 1.022),
    (20200526, 1.0226),
    (20200525, 1.0225),
    (20200522, 1.0225),
    (20200521, 1.0222),
    (20200520, 1.0222),
    (20200519, 1.022),
    (20200518, 1.0228),
    (20200515, 1.0226),
    (20200514, 1.0227),
    (20200513, 1.0225),
    (20200512, 1.0225),
    (20200511, 1.0222),
    (20200508, 1.0223),
    (20200507, 1.0222),
    (20200506, 1.0222),
    (20200505, 1.022),
    (20200504, 1.0225),
    (20200501, 1.022),
    (20200430, 1.0224),
    (20200429, 1.0232),
    (20200428, 1.0234),
    (20200427, 1.0237),
    (20200424, 1.023),
    (20200423, 1.0235),
    (20200422, 1.0243),
    (20200421, 1.0215),
    (20200420, 1.0213),
    (20200417, 1.0222),
    (20200416, 1.023),
    (20200415, 1.0231),
    (20200414, 1.0231),
    (20200413, 1.0233),
    (20200410, 1.0233),
    (20200409, 1.0237),
    (20200408, 1.0233),
    (20200407, 1.0233),
    (20200406, 1.0234),
    (20200403, 1.0238),
    (20200402, 1.024),
    (20200401, 1.024),
    (20200331, 1.0245),
    (20200330, 1.0227),
    (20200327, 1.0222),
    (20200326, 1.0223),
    (20200325, 1.0222),
    (20200324, 1.0222),
    (20200323, 1.022),
    (20200320, 1.0229),
    (20200319, 1.0234),
    (20200318, 1.0216),
    (20200317, 1.0216),
    (20200316, 1.0217),
    (20200313, 1.0217),
    (20200312, 1.0217),
    (20200311, 1.0218),
    (20200310, 1.0218),
    (20200309, 1.0219),
    (20200306, 1.0214),
    (20200305, 1.0216),
    (20200304, 1.0214),
    (20200303, 1.0214),
    (20200302, 1.0212),
    (20200228, 1.0213),
    (20200227, 1.0212),
    (20200226, 1.0213),
    (20200225, 1.0215),
    (20200224, 1.0211),
    (20200221, 1.0211),
    (20200220, 1.021),
    (20200219, 1.021),
    (20200218, 1.0211),
    (20200217, 1.021),
    (20200214, 1.021),
    (20200213, 1.021),
    (20200212, 1.021),
    (20200211, 1.021),
    (20200210, 1.0211),
    (20200207, 1.0211),
    (20200206, 1.0212),
    (20200205, 1.0212),
    (20200204, 1.0213),
    (20200203, 1.0213),
    (20200131, 1.0213),
    (20200130, 1.0213),
    (20200129, 1.0213),
    (20200128, 1.0214),
    (20200127, 1.0211),
    (20200124, 1.0212),
    (20200123, 1.0211),
    (20200122, 1.0211),
    (20200121, 1.0212),
    (20200120, 1.0212),
    (20200117, 1.0212),
    (20200116, 1.0212),
    (20200115, 1.0212),
    (20200114, 1.0213),
    (20200113, 1.0212),
    (20200110, 1.0212),
    (20200109, 1.0211),
    (20200108, 1.0211),
    (20200107, 1.0211),
    (20200106, 1.0211),
    (20200103, 1.0213),
    (20200102, 1.021),
    (20200101, 1.0212)
;
